STOFFDocument.cxx File Reference

libstoff API: implementation of main interface functions More...

`#include "SDAParser.hxx"`
`#include "SDCParser.hxx"`
`#include "SDGParser.hxx"`
`#include "SDWParser.hxx"`
`#include "SDXParser.hxx"`
`#include "STOFFHeader.hxx"`
`#include "STOFFGraphicDecoder.hxx"`
`#include "STOFFParser.hxx"`
`#include "STOFFPropertyHandler.hxx"`
`#include "STOFFSpreadsheetDecoder.hxx"`
`#include <libstaroffice/libstaroffice.hxx>`

## Namespaces

namespace | STOFFDocumentInternal
| small namespace use to define private class/method used by STOFFDocument

## Functions

std::shared_ptr< STOFFGraphicParser > | STOFFDocumentInternal::getGraphicParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an graphic header.
std::shared_ptr< STOFFGraphicParser > | STOFFDocumentInternal::getPresentationParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an presentation header.
std::shared_ptr< STOFFTextParser > | STOFFDocumentInternal::getTextParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an text header.
std::shared_ptr< STOFFSpreadsheetParser > | STOFFDocumentInternal::getSpreadsheetParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an spreadsheet header.
STOFFHeader * | STOFFDocumentInternal::getHeader (STOFFInputStreamPtr &ip, bool strict)
| return the header corresponding to an input.
bool | STOFFDocumentInternal::checkHeader (STOFFInputStreamPtr &input, STOFFHeader &header, bool strict)
| Wrapper to check a basic header of a mac file.

## Detailed Description

libstoff API: implementation of main interface functions